import { useContext } from "react";
import { TableSettingContext } from "../contexts/tableSetting";

const useTableSetting = () => {
  const { settingStore, hideAction, sortAction, filterAction } =
    useContext(TableSettingContext);
  return { settingStore, hideAction, sortAction, filterAction };
};

export default useTableSetting;
